Loading...
Searching...
No Matches
Dune::PolyhedralGridIterator< codim, Grid, pitype > Class Template Reference
Inheritance diagram for Dune::PolyhedralGridIterator< codim, Grid, pitype >:

## Public Types

typedef Grid::Traits::template Codim< codim >::EntitySeed | EntitySeed
typedef Grid::Traits::template Codim< codim >::EntityImpl | EntityImpl
Public Types inherited from Dune::PolyhedralGridEntityPointer< codim, Grid >
typedef Traits::template Codim< codimension >::Entity | Entity
| type of entity

## Public Member Functions

| PolyhedralGridIterator (ExtraData data, const bool beginIterator)
void | increment ()
| increment
Public Member Functions inherited from Dune::PolyhedralGridEntityPointer< codim, Grid >
| PolyhedralGridEntityPointer (ExtraData data)
| PolyhedralGridEntityPointer (const EntityImpl &entity)
| PolyhedralGridEntityPointer (const This &other)
const This & | operator= (const This &other)
bool | equals (const This &other) const
| check for equality
Entity & | dereference () const
| dereference entity
| operator const Entity & () const
| operator Entity & ()
int | level () const
| obtain level

## Protected Types

typedef Base::ExtraData | ExtraData
Protected Types inherited from Dune::PolyhedralGridEntityPointer< codim, Grid >
typedef Grid::Traits | Traits
typedef Traits::ExtraData | ExtraData
typedef Traits::template Codim< codimension >::EntityImpl | EntityImpl

## Additional Inherited Members

Static Public Attributes inherited from Dune::PolyhedralGridEntityPointer< codim, Grid >
static const int | dimension = Grid::dimension
| grid dimension
static const int | codimension = codim
| world dimension
Protected Member Functions inherited from Dune::PolyhedralGridEntityPointer< codim, Grid >
EntityImpl & | entityImpl () const
ExtraData | data () const
Protected Attributes inherited from Dune::PolyhedralGridEntityPointer< codim, Grid >
Entity | entity_

The documentation for this class was generated from the following file:

- opm/grid/polyhedralgrid/iterator.hh